FIND_PATH(IRCCLIENT_INCLUDE_DIR NAMES
	ircsession.h
	PATH_SUFFIXES ircclient-qt
)

FIND_LIBRARY(IRCCLIENT_LIBRARY NAMES libircclient-qt ircclient-qt)


if(IRCCLIENT_INCLUDE_DIR AND IRCCLIENT_LIBRARY)
	set(libircclient_FOUND TRUE)
endif(IRCCLIENT_INCLUDE_DIR AND IRCCLIENT_LIBRARY)


if(libircclient_FOUND)
	message(STATUS "Found libircclient: ${IRCCLIENT_LIBRARY}")
else(libircclient_FOUND)
	if(libircclient_FIND_REQUIRED)
		if(NOT IRCCLIENT_INCLUDE_DIR)
			message(FATAL_ERROR "Could not find libircclient includes.")
		else(NOT IRCCLIENT_INCLUDE_DIR)
			if(NOT IRCCLIENT_LIBRARY)
				message(FATAL_ERROR "Could not find libircclient library.")
			endif(NOT IRCCLIENT_LIBRARY)
		endif(NOT IRCCLIENT_INCLUDE_DIR)
	else(libircclient_FIND_REQUIRED)
		if(NOT IRCCLIENT_INCLUDE_DIR)
			message(STATUS "Could not find libircclient includes.")
		endif(NOT IRCCLIENT_INCLUDE_DIR)
		if(NOT IRCCLIENT_LIBRARY)
			message(STATUS "Could not find libircclient library.")
		endif(NOT IRCCLIENT_LIBRARY)
	endif(IRCCLIENT_FIND_REQUIRED)
endif(libircclient_FOUND)
 
